svn_fs_youngest_rev
svn_log
SVN Functions
PHP Manual

# svn_import

(PECL svn >= 0.2.0)

svn_import — Imports an unversioned path into a repository

### Description

bool svn_import ( string `$path` , string `$url` , bool `$nonrecursive` )

Commits unversioned `path` into repository at `url`. If `path` is a directory and `nonrecursive` is `FALSE`, the directory will be imported recursively.

### Parameters

`path`

  Path of file or directory to import.

  > Note: Relative paths will be resolved as if the current working directory was the one that contains the PHP binary. To use the calling script's working directory, use realpath() or dirname(__FILE__).

`url`

  Repository URL to import into.

`nonrecursive`

  Whether or not to refrain from recursively processing directories.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Examples

Example #1 Basic example

This example demonstrates a basic use-case of this function. To import a directory named new-files into the repository at http://www.example.com/svnroot/incoming/abc, use:

`<?php
svn_import(realpath('new-files'), 'http://www.example.com/svnroot/incoming/abc', false);
?>`

### See Also

- svn_add() - Schedules the addition of an item in a working directory
- » SVN documentation for svn import

svn_fs_youngest_rev
svn_log
SVN Functions
PHP Manual